﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Mvc;
using System.Web.Routing;

namespace ICP.CustomRouting
{
    /// <summary>
    /// The access modifier of the GetControllerType in DefaultControllerFactory is
    /// protected. So we have to inherit from it and make it public
    /// </summary>
    public class CustomControllerFactory : DefaultControllerFactory
    {
        public Type GetControllerType(RequestContext requestContext, string controllerName)
        {
            return base.GetControllerType(requestContext, controllerName);
        }
    }
}
