﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ICP.CustomRouting.Sample
{
    public class LookupService : IRouteValueLookupService
    {
        public string GetRouteTypeName(string routeValue)
        {
            switch (routeValue)
            {
                case "Austria":
                case "Germany":
                case "England":
                    return "Country";
                case "BMW":
                case "Audi":
                case "Fiat":
                    return "Maker";
                case "Luxury":
                case "Hatchback":
                case "Truck":
                    return "Type";
            }

            return string.Empty;
        }
    }
}